Package fr.gouv.vitam.functionaltest.cucumber.step

# Class World

java.lang.Object
fr.gouv.vitam.functionaltest.cucumber.step.World

public class World extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `DEFAULT_ACCESS_CONTRACT_NAME`
  `static final String`
  `TNR_BASE_DIRECTORY`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `World()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `finish()`
  `AccessExternalClient`
  `getAccessClient()`
  `AccessService`
  `getAccessService()`
  `AdminExternalClient`
  `getAdminClient()`
  `AccessExternalClientV2`
  `getAdminClientV2()`
  `String`
  `getApplicationSessionId()`
  `Path`
  `getAtrFile()`
  `String`
  `getBaseDirectory()`
  `CollectExternalClient`
  `getCollectExternalClient()`
  `Path`
  `getCollectSipFile()`
  `String`
  `getContractId()`
  `Path`
  `getDipFile()`
  `String`
  `getEliminationOperationId()`
  `IngestExternalClient`
  `getIngestClient()`
  `LogbookOperationsClient`
  `getLogbookOperationsClient()`
  Workspace client
  `LogbookService`
  `getLogbookService()`
  `String`
  `getNamedOperationId(String name)`
  `String`
  `getObjectGroupId()`
  `String`
  `getOperationId()`
  `static String`
  `getOperationId(String testSet)`
  Get an operation id for the test set
  `String`
  `getProjectId()`
  `String`
  `getQuery()`
  `io.cucumber.java.Scenario`
  `getScenario()`
  `Path`
  `getSipFile()`
  `StorageClient`
  `getStorageClient()`
  Storage client
  `int`
  `getTenantId()`
  `String`
  `getTransactionId()`
  `Path`
  `getTransferFile()`
  `String`
  `getUnitId()`
  `WorkspaceClient`
  `getWorkspaceClient()`
  Workspace client
  `void`
  `init()`
  initialization of client
  `World`
  `setAtrFile(Path atrFile)`
  `World`
  `setCollectSipFile(Path collectSipFile)`
  `World`
  `setContractId(String contractId)`
  `void`
  `setDipFile(Path dipFile)`
  `void`
  `setEliminationOperationId(String eliminationOperationId)`
  `void`
  `setNamedOperationId(String name, String namedOperationId)`
  `void`
  `setObjectGroupId(String objectGroupId)`
  `void`
  `setOperationId(String operationId)`
  `static void`
  `setOperationId(String testSet, String operationId)`
  Set an operation id for a test set
  `void`
  `setProjectId(String projectId)`
  `void`
  `setQuery(String query)`
  `void`
  `setScenario(io.cucumber.java.Scenario scenario)`
  `void`
  `setSipFile(Path path)`
  `void`
  `setTransactionId(String transactionId)`
  `World`
  `setTransferFile(Path transferFile)`
  `void`
  `setUnitId(String unitId)`
  `void`
  `the_reinit_of_test_set()`
  Clear the map of operations ids by testSet.
  `void`
  `the_test_are_done_on_contract(String contractId)`
  define a contractId
  `void`
  `the_test_are_done_on_tenant(int tenantId)`
  define a tenant
  `void`
  `the_tests_are_done_with_application_session_id(String applicationSessionId)`
  defines application session id
  `void`
  `writeOperationId(io.cucumber.java.Scenario scenario)`
  write operation ID on cucumber report

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### TNR_BASE_DIRECTORY

    public static final String TNR_BASE_DIRECTORY
    See Also:
      - Constant Field Values

  - ### DEFAULT_ACCESS_CONTRACT_NAME

    public static final String DEFAULT_ACCESS_CONTRACT_NAME
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### World

    public World()

- ## Method Details

  - ### init

    public void init() throws IOException
    initialization of client
    Throws:
      `IOException`

  - ### the_test_are_done_on_tenant

    @Given("^les tests effectu\u00e9s sur le tenant (\\d+)$") public void the_test_are_done_on_tenant(int tenantId) throws Throwable
    define a tenant
    Parameters:
      `tenantId` - id of the tenant
    Throws:
      `Throwable`

  - ### the_test_are_done_on_contract

    @Given("^les tests effectu\u00e9s sur le contrat id (.*)$") public void the_test_are_done_on_contract(String contractId) throws Throwable
    define a contractId
    Parameters:
      `contractId` - id of the access contract
    Throws:
      `Throwable`

  - ### the_tests_are_done_with_application_session_id

    @Given("^les tests effectu\u00e9s avec l\'identifiant de transaction (.*)$") public void the_tests_are_done_with_application_session_id(String applicationSessionId)
    defines application session id
    Parameters:
      `applicationSessionId` - id of the application session
    Throws:
      `Throwable`

  - ### the_reinit_of_test_set

    @Given("^les jeux de tests r\u00e9initialis\u00e9s$") public void the_reinit_of_test_set()
    Clear the map of operations ids by testSet.

  - ### getTenantId

    public int getTenantId()
    Returns:
      tenant ID

  - ### getIngestClient

    public IngestExternalClient getIngestClient()
    Returns:
      ingest client

  - ### getAccessClient

    public AccessExternalClient getAccessClient()
    Returns:
      access client

  - ### getAdminClient

    public AdminExternalClient getAdminClient()
    Returns:
      admin client

  - ### getWorkspaceClient

    public WorkspaceClient getWorkspaceClient()
    Workspace client
    Returns:
      workspaceClient

  - ### getLogbookOperationsClient

    public LogbookOperationsClient getLogbookOperationsClient()
    Workspace client
    Returns:
      logbookOperationsClient

  - ### getStorageClient

    public StorageClient getStorageClient()
    Storage client
    Returns:
      storageClient

  - ### getOperationId

    public String getOperationId()
    Returns:
      operation ID

  - ### setOperationId

    public void setOperationId(String operationId)
    Parameters:
      `operationId` - operation ID

  - ### getEliminationOperationId

    public String getEliminationOperationId()

  - ### setEliminationOperationId

    public void setEliminationOperationId(String eliminationOperationId)

  - ### getQuery

    public String getQuery()
    Returns:
      the dsl query

  - ### setQuery

    public void setQuery(String query)
    Parameters:
      `query` - the query

  - ### getOperationId

    public static String getOperationId(String testSet)
    Get an operation id for the test set
    Parameters:
      `testSet` - test set identifier
    Returns:
      operation id

  - ### setOperationId

    public static void setOperationId(String testSet, String operationId)
    Set an operation id for a test set
    Parameters:
      `testSet` - test set identifier
      `operationId` - operation id

  - ### getNamedOperationId

    public String getNamedOperationId(String name)

  - ### setNamedOperationId

    public void setNamedOperationId(String name, String namedOperationId)

  - ### getUnitId

    public String getUnitId()
    Returns:
      unitId

  - ### setUnitId

    public void setUnitId(String unitId)
    Parameters:
      `unitId` -

  - ### setObjectGroupId

    public void setObjectGroupId(String objectGroupId)
    Parameters:
      `objectGroupId` -

  - ### getObjectGroupId

    public String getObjectGroupId()
    Returns:
      objectGroupId

  - ### getContractId

    public String getContractId()
    Returns:
      contractId

  - ### setContractId

    @Given("^J\'utilise le contrat d\'access (.*)$") public World setContractId(String contractId)
    Parameters:
      `contractId` -
    Returns:
      this

  - ### getApplicationSessionId

    public String getApplicationSessionId()

  - ### getLogbookService

    public LogbookService getLogbookService()

  - ### getAccessService

    public AccessService getAccessService()

  - ### finish

    public void finish()

  - ### writeOperationId

    public void writeOperationId(io.cucumber.java.Scenario scenario)
    write operation ID on cucumber report
    Parameters:
      `scenario` -

  - ### getBaseDirectory

    public String getBaseDirectory()
    Returns:
      base directory on .feature file

  - ### getAdminClientV2

    public AccessExternalClientV2 getAdminClientV2()

  - ### getCollectExternalClient

    public CollectExternalClient getCollectExternalClient()

  - ### getSipFile

    public Path getSipFile()

  - ### setSipFile

    public void setSipFile(Path path)

  - ### getDipFile

    public Path getDipFile()

  - ### setDipFile

    public void setDipFile(Path dipFile)

  - ### getTransferFile

    public Path getTransferFile()

  - ### setTransferFile

    public World setTransferFile(Path transferFile)

  - ### getAtrFile

    public Path getAtrFile()

  - ### setAtrFile

    public World setAtrFile(Path atrFile)

  - ### getCollectSipFile

    public Path getCollectSipFile()

  - ### setCollectSipFile

    public World setCollectSipFile(Path collectSipFile)

  - ### getProjectId

    public String getProjectId()

  - ### setProjectId

    public void setProjectId(String projectId)

  - ### getTransactionId

    public String getTransactionId()

  - ### setTransactionId

    public void setTransactionId(String transactionId)

  - ### setScenario

    public void setScenario(io.cucumber.java.Scenario scenario)

  - ### getScenario

    public io.cucumber.java.Scenario getScenario()